﻿@model eCommerce.UI.ViewModels.Shop.ProductQuickViewModel
@using eCommerce.Services.Utils
@using eCommerce.Services.Model.Enums

<div class="quickview">
    <input type="hidden" class="js-quickview-product"  value="@Model.Id" />

    <div class="quickview__image">
        <img src="@Model.Images.FirstOrDefault().Url" alt="@Model.Title" />
    </div>

    <div class="quickview__detail">
        <div class="quickview__title">@Model.Title</div>

        @if (User.Identity.IsAuthenticated)
        {
            <div class="quickview__pricing">
                <span class="quickview__price">@Model.Price.ToString("c2")</span>
                @if (Model.OldPrice.HasValue)
                {
                    <span class="quickview__price quickview__price--old">@Model.OldPrice.Value.ToString("c2")</span>
                }
            </div>
        }

        <div class="quickview__description">
            @Model.Description
        </div>

        <div class="quickview__property">
            <span>Color</span>
            <div class="quickview__color-list js-quickview-colors">
                @foreach (var color in Model.ColorList)
                {
                    var iswhite = color.ColorId == 830 || color.Description.ToLower().Contains("blanco");
                    <span class="quickview__color-ball" data-color="@color.ColorId" title="@color.Description" style="background-image:url(@Utility.ImgUrl/Colors/@color.ColorId/@color.ColorThumb); @(iswhite ? "border:1px solid #000;" : string.Empty)"></span>
                }
            </div>
        </div>

        <div class="quickview__property">
            <span>Talle</span>
            <select class="quickview__size js-quickview-size">
                @foreach (var item in Model.SizeList)
                {
                    <option value="@item.SizeId">@item.Description</option>
                }
            </select>
        </div>

        <div class="quickview__property">
            <span>Cantidad</span>
            <select class="quickview__quantity js-quickview-quantity">
                @for (int i = 1; i < 100; i++)
                {
                    <option value="@i">@i</option>
                }
            </select>
        </div>

        <button type="button" class="button quickview__button js-quickview-add">Agregar a la wishlist</button>
    </div>
</div>